package renderer.primitive;

import basics.math.algebra.Ray;
import basics.math.algebra.Vector;

public interface Primitive {

    double intersect(Ray ray);

    Vector normalAt(Vector surfacePoint, Vector incoming);
}
